﻿* Encoding: UTF-8.
DEFINE !file().
GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2017.sav'.
!ENDDEFINE.

DEFINE !gini().

weight by groesse.

RANK   VARIABLES = vermoegen_pk (a)
/TIES=MEAN
/RANK INTO rvermoeg.


compute ginisumme=rvermoeg * vermoegen_pk.

descriptives variables=vermoegen_pk ginisumme
/statistics all.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /Fallzahl=N(vermoegen_pk)
  /Vermoegen_mean=MEAN(vermoegen_pk).

compute gini = ((2 * ginisumme2) - ((Fallzahl+1) * Fallzahl * vermoegen_mean))/(Fallzahl**2 * vermoegen_mean).

descriptives variables=gini
/statistics all.

!ENDDEFINE.

TITLE 'Personenbezogene Betrachtungen'.

!file.
TITLE 'Gini-Koeffizient, Gesamtvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = (geldverm + grundverm)/groesse.
!gini.

!file.
TITLE 'Gini-Koeffizient, Geldvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = geldverm/groesse.
!gini.

!file.
TITLE 'Gini-Koeffizient, Grundvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = grundverm/groesse.
!gini.


DEFINE !gini2().


weight off.

RANK   VARIABLES = vermoegen_pk (a)
/TIES=MEAN
/RANK INTO rvermoeg.


compute ginisumme=rvermoeg * vermoegen_pk.

descriptives variables=vermoegen_pk ginisumme
/statistics all.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /Fallzahl=N(vermoegen_pk)
  /Vermoegen_mean=MEAN(vermoegen_pk).

compute gini = ((2 * ginisumme2) - ((Fallzahl+1) * Fallzahl * vermoegen_mean))/(Fallzahl**2 * vermoegen_mean).

descriptives variables=gini
/statistics all.

!ENDDEFINE.


TITLE 'Haushaltsbezogene Betrachtungen'.

!file.
TITLE 'Gini-Koeffizient, Gesamtvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = (geldverm + grundverm)/groesse.
!gini2.

!file.
TITLE 'Gini-Koeffizient, Geldvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = geldverm/groesse.
!gini2.

!file.
TITLE 'Gini-Koeffizient, Grundvermögen'.
compute vermoegen_pk=0.
compute vermoegen_pk = grundverm/groesse.
!gini2.

