﻿* Encoding: UTF-8.

BEGIN PROGRAM R.
install.packages()
END PROGRAM.

begin program r.
install.packages()
end program. 

begin program r.
install.packages("pbkrtest")
end program. 
DATASET ACTIVATE DataSet1.
SPSSINC TOBIT REGR DEPENDENT = ausgaben 
  ENTER = einkommen
  LOWERBOUND=0 DISTRIBUTION=GAUSSIAN
  /OPTIONS MISSING=LISTWISE 
  /SAVE.


tobit(formula, left = 0, right = Inf, dist = "gaussian", subset = NULL, data = list(), ...)


BEGIN PROGRAM R.
dta <- spssdata.GetDataFromSPSS(factorMode="labels") 
fm.tobit <- tobit(ausgaben ~ einkommen,
                    data = ausgaben, x=TRUE)
END PROGRAM.

BEGIN PROGRAM R.
dat <- read.sav (D:\DOKUMENTE\SPSS-BUCH\REGRESSION_TOBIT1.SAV)
summary(m <- vglm(ausgaben ~ einkommen, tobit(Upper = 800), data = dat))
END PROGRAM.

BEGIN PROGRAM R.
mean(einkommen)
END PROGRAM.

BEGIN PROGRAM R.
library (MASS)
casedata <- spssdata.GetDataFromSPSS()
psi.huber <- rlm (ausgaben ~ einkommen, data = casedata)
summary (psi.huber)
END PROGRAM.

BEGIN PROGRAM R.
library (MASS)
mydata <- spssdata.GetDataFromSPSS()
psi.bisquare <- rlm (ausgaben ~ einkommen, data = mydata)
summary (psi.bisquare)
END PROGRAM.


BEGIN PROGRAM R.
library (MASS)
mydata <- spssdata.GetDataFromSPSS()
fm <- lm (ausgaben ~ einkommen, data = mydata)
summary (fm)
END PROGRAM.

BEGIN PROGRAM R.
library (MASS)
mydata <- spssdata.GetDataFromSPSS()
fm.rlm <- rlm (ausgaben ~ einkommen, data = mydata)
summary (fm.rlm)
END PROGRAM.

BEGIN PROGRAM R.
library (MASS)
casedata <- spssdata.GetDataFromSPSS()
psi.hampel <- rlm (ausgaben ~ einkommen, data = casedata)
summary (psi.hampel)
END PROGRAM.

BEGIN PROGRAM R.
library (MASS)
meinedaten <- spssdata.GetDataFromSPSS()
fm.rlm <- rlm (ausgaben ~ einkommen, data = meinedaten)
summary (fm.rlm)
END PROGRAM.

SPSSINC ROBUST REGR DEPENDENT = ausgaben  ENTER = einkommen
  /OPTIONS MISSING=LISTWISE 
  /SAVE.

BEGIN PROGRAM R.
meinedaten <- spssdata.GetDataFromSPSS()
fm.lm <- lm (ausgaben ~ einkommen, data = meinedaten)
summary (fm.lm)
END PROGRAM.

