﻿* Encoding: UTF-8.
DEFINE !vermoegen().
weight by groesse.

compute vermoegen_pk = (geldverm + grundverm)/groesse.

compute arm=0.
IF (vermoegen_pk < 2000) arm=1.
frequencies variables=arm.

RANK VARIABLES=vermoegen_pk (a)
  /RANK
  /PRINT=NO
  /TIES=MEAN.

compute ginisumme=rvermoeg * vermoegen_pk.

descriptives variables=vermoegen_pk ginisumme
/statistics all.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /Fallzahl=N(vermoegen_pk)
  /Vermoegen_mean=MEAN(vermoegen_pk).

compute gini = ((2 * ginisumme2) - ((Fallzahl+1) * Fallzahl * vermoegen_mean))/(Fallzahl**2 * vermoegen_mean).

descriptives variables=gini
/statistics all.

!ENDDEFINE.


GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2014.sav'.
!vermoegen.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2015.sav'.
!vermoegen.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2016.sav'.
!vermoegen.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2017.sav'.
!vermoegen.




DEFINE !vermoegen2().

weight off.
compute vermoegen_pk = (geldverm + grundverm)/groesse.

compute arm=0.
IF (vermoegen_pk < 2000) arm=1.
frequencies variables=arm.

RANK VARIABLES=vermoegen_pk (a)
  /RANK
  /PRINT=NO
  /TIES=MEAN.

compute ginisumme=rvermoeg * vermoegen_pk.

descriptives variables=vermoegen_pk ginisumme
/statistics all.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /Fallzahl=N(vermoegen_pk)
  /Vermoegen_mean=MEAN(vermoegen_pk).

compute gini = ((2 * ginisumme2) - ((Fallzahl+1) * Fallzahl * vermoegen_mean))/(Fallzahl**2 * vermoegen_mean).

descriptives variables=gini
/statistics all.

!ENDDEFINE.


GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2014.sav'.
!vermoegen2.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2015.sav'.
!vermoegen2.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2016.sav'.
!vermoegen2.

GET
  FILE='D:\Dokumente\FaSo\Publikationen\2016\SPSS\SPSS-Dateien\vermoegen2017.sav'.
!vermoegen2.


